#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: kmix
Summary: KDE Digital Mixer
Epoch: 3
Version: 4.10.2
Release: %mkrel %{rel}
Group: Sound/Mixers
License: GPLv2
URL: http://www.kde.org/applications/multimedia/kmix/
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(libcanberra)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(libpulse-mainloop-glib)
Obsoletes: kdemultimedia4-core < 3:4.5.71
Conflicts: kdemultimedia4-core < 3:4.5.71
Conflicts: kdemultimedia4-devel < 3:4.6.90-3
Requires: kdebase4-runtime
Suggests: kmix-handbook

%description
KMix is an application to allow you to change the volume of your sound
card. Though small, it is full-featured, and it supports several
platforms and sound drivers.

%files 
%_kde_appsdir/kmix
%_kde_bindir/kmix
%_kde_bindir/kmixctrl
%_kde_iconsdir/*/*/*/*
%_kde_applicationsdir/kmix.desktop
%_kde_datadir/autostart/restore_kmix_volumes.desktop
%_kde_services/kmixctrl_restore.desktop
%_kde_libdir/libkdeinit4_kmix*
%_kde_libdir/kde4/kded_kmixd.so
%_kde_services/kded/kmixd.desktop
%_kde_autostart/kmix_autostart.desktop
%_kde_libdir/kde4/plasma_engine_mixer.so
%_kde_appsdir/plasma/services/mixer.operations
%_kde_services/plasma-engine-mixer.desktop
%_datadir/dbus-1/interfaces/org.kde.kmix.control.xml
%_datadir/dbus-1/interfaces/org.kde.kmix.mixer.xml
%_datadir/dbus-1/interfaces/org.kde.kmix.mixset.xml 

#------------------------------------------------------------------------------

%package handbook
Summary: kmix handbook
Conflicts: kmix < 3:4.7.1
Requires:  kmix >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description handbook
This package provides kmix handbook

%files handbook
%_kde_docdir/HTML/en/kmix

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make

%install
%makeinstall_std -C build


%changelog

* Tue Apr 02 2013 mikala <mikala> 3:4.10.2-1.mga3
+ Revision: 407196
- Update tarball to KDE SC 4.10.2

* Thu Mar 14 2013 colin <colin> 3:4.10.1-2.mga3
+ Revision: 403171
- Apply fix for capture device/stream volume control under PulseAudio (bko#315920)

* Sat Mar 09 2013 lmenut <lmenut> 3:4.10.1-1.mga3
+ Revision: 401898
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 3:4.10.0-1.mga3
+ Revision: 394369
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 3:4.9.97-2.mga3
+ Revision: 356308
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 3:4.9.97-1.mga3
+ Revision: 339422
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 3:4.9.95-1.mga3
+ Revision: 334523
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 3:4.9.90-1.mga3
+ Revision: 326728
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 3:4.9.80-1.mga3
+ Revision: 320285
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 3:4.9.3-1.mga3
+ Revision: 316170
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 3:4.9.2-1.mga3
+ Revision: 301940
- Update tarball to KDE SC 4.9.2
- fix group

* Sat Sep 08 2012 mikala <mikala> 3:4.9.1-1.mga3
+ Revision: 289730
- Update tarball to KDE SC 4.9.1

* Tue Jul 31 2012 mikala <mikala> 3:4.9.0-1.mga3
+ Revision: 276666
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 3:4.8.97-1.mga3
+ Revision: 269690
- new version 4.8.97
- conflicts should not be there

* Sun Jul 01 2012 fwang <fwang> 3:4.8.95-2.mga3
+ Revision: 265881
- add conflicts

* Wed Jun 27 2012 fwang <fwang> 3:4.8.95-1.mga3
+ Revision: 264295
- bump br
- imported package kmix

